org.apache.maven.artifact

## Class ArtifactStatus

- java.lang.Object
- - org.apache.maven.artifact.ArtifactStatus

- All Implemented Interfaces:
    java.lang.Comparable

      public final class ArtifactStatus
      extends java.lang.Object
      implements java.lang.Comparable

  Type safe enumeration for the artifact status field.
  Version:
    $Id: ArtifactStatus.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ArtifactStatus` | `CONVERTED` Low trust - was converted from the Maven 1.x repository.
    `static ArtifactStatus` | `DEPLOYED` Moderate trust - it was deployed directly by a user.
    `static ArtifactStatus` | `GENERATED` No trust - information was generated with defaults.
    `static ArtifactStatus` | `NONE` No trust - no information about status.
    `static ArtifactStatus` | `PARTNER` Moderate trust - it was deployed directly from a partner.
    `static ArtifactStatus` | `VERIFIED` Trusted, as it has had its data verified by hand.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `static ArtifactStatus` | `valueOf(java.lang.String status)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final ArtifactStatus NONE

      No trust - no information about status.

    - #### GENERATED

          public static final ArtifactStatus GENERATED

      No trust - information was generated with defaults.

    - #### CONVERTED

          public static final ArtifactStatus CONVERTED

      Low trust - was converted from the Maven 1.x repository.

    - #### PARTNER

          public static final ArtifactStatus PARTNER

      Moderate trust - it was deployed directly from a partner.

    - #### DEPLOYED

          public static final ArtifactStatus DEPLOYED

      Moderate trust - it was deployed directly by a user.

    - #### VERIFIED

          public static final ArtifactStatus VERIFIED

      Trusted, as it has had its data verified by hand.

  - ### Method Detail

    - #### valueOf

          public static ArtifactStatus valueOf(java.lang.String status)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`